# awk(9)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## SYNOPSIS

awk - AWK files

## FILES

hkawk.emf - AWK hook definition
awk.etf - AWKL template file.

## EXTENSIONS

.awk - AWK file
.gawk - GNU AWK file
.nawk - New AWK file

## MAGIC STRINGS

#![ \t]*/.*awk

MicroEmacs 2009 recognises the magic string on the first line of the file used to locate the executable. The awk files may be extensionless and are still recognised.

## DESCRIPTION

The awk file type template provides simple hilighting of AWK files, the template provides minimal hilighting.

## BUGS

None reported. Template could probably benifit from some form of auto indentation.

## SEE ALSO

Supported File Types

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>